GrailsRootLoader (Grails 2.4.4)
Date: 2014-10-28

Package: org.codehaus.groovy.grails.cli.support

## [Java] Class GrailsRootLoader

- org.codehaus.groovy.grails.cli.support.GrailsRootLoader

- A custom Groovy RootLoader that works around issue GROOVY-2303. The problem is with Jaxen, so if we manage to remove that dependency (or it stops packaging UserDataHandler) we can revert back to using plain old Groovy RootLoader.

  Authors:
    Graeme Rocher
  Since:
    1.0

- - ### Constructor Summary

    Constructors
    Constructor and description
    `GrailsRootLoader (java.net.URL[] urls, java.lang.ClassLoader parent)`
    `GrailsRootLoader ()`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `protected java.lang.Class<?>` | `loadClass(java.lang.String name, boolean resolve)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.codehaus.groovy.tools.RootLoader` | `org.codehaus.groovy.tools.RootLoader#getResource(java.lang.String), org.codehaus.groovy.tools.RootLoader#addURL(java.net.URL), org.codehaus.groovy.tools.RootLoader#newInstance([Ljava.net.URL;), org.codehaus.groovy.tools.RootLoader#newInstance([Ljava.net.URL;, java.lang.ClassLoader), org.codehaus.groovy.tools.RootLoader#getResourceAsStream(java.lang.String), org.codehaus.groovy.tools.RootLoader#findResource(java.lang.String), org.codehaus.groovy.tools.RootLoader#findResources(java.lang.String), org.codehaus.groovy.tools.RootLoader#close(), org.codehaus.groovy.tools.RootLoader#getURLs(), org.codehaus.groovy.tools.RootLoader#loadClass(java.lang.String), org.codehaus.groovy.tools.RootLoader#getSystemClassLoader(), org.codehaus.groovy.tools.RootLoader#getSystemResourceAsStream(java.lang.String), org.codehaus.groovy.tools.RootLoader#getSystemResource(java.lang.String), org.codehaus.groovy.tools.RootLoader#getResources(java.lang.String), org.codehaus.groovy.tools.RootLoader#getSystemResources(java.lang.String), org.codehaus.groovy.tools.RootLoader#getParent(), org.codehaus.groovy.tools.RootLoader#setDefaultAssertionStatus(boolean), org.codehaus.groovy.tools.RootLoader#setPackageAssertionStatus(java.lang.String, boolean), org.codehaus.groovy.tools.RootLoader#setClassAssertionStatus(java.lang.String, boolean), org.codehaus.groovy.tools.RootLoader#clearAssertionStatus(), org.codehaus.groovy.tools.RootLoader#wait(long, int), org.codehaus.groovy.tools.RootLoader#wait(long), org.codehaus.groovy.tools.RootLoader#wait(), org.codehaus.groovy.tools.RootLoader#equals(java.lang.Object), org.codehaus.groovy.tools.RootLoader#toString(), org.codehaus.groovy.tools.RootLoader#hashCode(), org.codehaus.groovy.tools.RootLoader#getClass(), org.codehaus.groovy.tools.RootLoader#notify(), org.codehaus.groovy.tools.RootLoader#notifyAll()`
    `class java.net.URLClassLoader` | `java.net.URLClassLoader#newInstance([Ljava.net.URL;), java.net.URLClassLoader#newInstance([Ljava.net.URL;, java.lang.ClassLoader), java.net.URLClassLoader#getResourceAsStream(java.lang.String), java.net.URLClassLoader#findResource(java.lang.String), java.net.URLClassLoader#findResources(java.lang.String), java.net.URLClassLoader#close(), java.net.URLClassLoader#getURLs(), java.net.URLClassLoader#loadClass(java.lang.String), java.net.URLClassLoader#getSystemClassLoader(), java.net.URLClassLoader#getResource(java.lang.String), java.net.URLClassLoader#getSystemResourceAsStream(java.lang.String), java.net.URLClassLoader#getSystemResource(java.lang.String), java.net.URLClassLoader#getResources(java.lang.String), java.net.URLClassLoader#getSystemResources(java.lang.String), java.net.URLClassLoader#getParent(), java.net.URLClassLoader#setDefaultAssertionStatus(boolean), java.net.URLClassLoader#setPackageAssertionStatus(java.lang.String, boolean), java.net.URLClassLoader#setClassAssertionStatus(java.lang.String, boolean), java.net.URLClassLoader#clearAssertionStatus(), java.net.URLClassLoader#wait(long, int), java.net.URLClassLoader#wait(long), java.net.URLClassLoader#wait(), java.net.URLClassLoader#equals(java.lang.Object), java.net.URLClassLoader#toString(), java.net.URLClassLoader#hashCode(), java.net.URLClassLoader#getClass(), java.net.URLClassLoader#notify(), java.net.URLClassLoader#notifyAll()`

- - ### Constructor Detail

    - #### public GrailsRootLoader(java.net.URL[] urls, java.lang.ClassLoader parent)

    - #### public GrailsRootLoader()

  - ### Method Detail

    - #### @java.lang.Override protected java.lang.Class<?> loadClass(java.lang.String name, boolean resolve)